get
https://secure.fusebill.com/v1/Products
List the products in the catalog. This provides a little more detail than the summary list, and will take longer to respond.
URL Parameters
| Property | Type | Description | Required |
|---|---|---|---|
includePricing | Boolean | False by default. If set to true, the returned products will include additional data regarding pricing when available. | Optional |
includeGlCode | Boolean | False by default. If set to true, the returned products will include GL code data in the response. | Optional |
This call supports string filtering (Read More) and datetime/numeric range filtering (Read More)
&query=parameterName:Value
| Parameter Name | Acceptable Values | Parameter Name | Acceptable Values |
|---|---|---|---|
availableForPurchase | Boolean | isTrackingItems | Boolean |
avalaraItemCode | String | modifiedTimestamp | Date Range |
avalaraTaxCode | String | name | String |
code | String | netsuiteItemId | String |
createdTimestamp | Date Range | productType | PhysicalGood, RecurringService, OneTimecharge |
deletable | Boolean | quantity | Decimal Range |
description | String | salesforceId | String |
glCode.Code | String | status | Active, Retired |
glCode.Name | String | taxExempt | Boolean |
This call supports pagination (Read More)
&pageSize=100&pageNumber=0
This call supports sorting (Read More)
&sortOrder=Ascending or &sortOrder=Descending
&sortExpression=expression
